#
# spec file for package hostname
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           hostname
Version:        3.16
Release:        2.22
Summary:        Utility to Set/Show the Host Name or Domain Name
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            https://tracker.debian.org/pkg/hostname
Source:         http://http.debian.net/debian/pool/main/h/%{name}/%{name}_%{version}.tar.gz
# net-tools requires hostname, but we know we do not rely on ourselves to build
#!BuildIgnore:  hostname
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libnsl-devel

%description
This package provides commands which can be used to display the system's DNS
name, and to display or set its hostname or NIS domain name.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -d -m 755 %{buildroot}/bin/
ln -sf %{_bindir}/%{name} %{buildroot}/bin/%{name}
install -D -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
for prog in dnsdomainname domainname ypdomainname nisdomainname; do
    ln -sf %{_bindir}/%{name} %{buildroot}/bin/$prog
    ln -sf %{_bindir}/%{name} %{buildroot}%{_bindir}/$prog
    ln -sf hostname.1 %{buildroot}%{_mandir}/man1/${prog}.1
done

%files
%defattr(-,root,root)
%doc COPYRIGHT debian/changelog
/bin/%{name}
/bin/domainname
/bin/dnsdomainname
/bin/nisdomainname
/bin/ypdomainname
%{_bindir}/%{name}
%{_bindir}/domainname
%{_bindir}/dnsdomainname
%{_bindir}/nisdomainname
%{_bindir}/ypdomainname
%{_mandir}/man1/%{name}.1%{ext_man}
%{_mandir}/man1/domainname.1%{ext_man}
%{_mandir}/man1/dnsdomainname.1%{ext_man}
%{_mandir}/man1/nisdomainname.1%{ext_man}
%{_mandir}/man1/ypdomainname.1%{ext_man}

%changelog
